JFLAGS = -g
JC = javac
JVM= java  
.SUFFIXES: .java .class
.java.class:
	$(JC) $(JFLAGS) $*.java

CLASSES = Card.java CardGameGUI.java CardInPlay.java Deck.java Field.java GameMaster.java Grave.java Hand.java

MAIN = CardGameGUI

default: classes

classes: $(CLASSES:.java=.class)

run: 
	$(JVM) $(MAIN)

clean:
	$(RM) *.class
